---
name: Bug Report
about: Let us know about an unexpected error, a crash, or an incorrect behavior.
labels: "waiting-intake"
---

<!--
Please note that the Vagrant issue tracker is reserved for bug reports. For general usage questions, please use
HashiCorp Discuss, https://discuss.hashicorp.com/c/vagrant/.

When you submit a bug report, please provide the minimal configuration and required information necessary to reliably reproduce the issue. It
should include a basic Vagrantfile.

Thank you!
-->

### Debug output

<!--
Provide a link to a GitHub Gist containing the complete debug output, https://www.vagrantup.com/docs/other/debugging.html. 

The debug output should
be very long. Do NOT paste the debug output in the issue.
-->

### Expected behavior

<!--
What should have happened?
-->

### Actual behavior

<!--
What actually happened?
-->

### Reproduction information 

#### Vagrant version

<!--
Use `vagrant -v` to collect the version information. If you are not running the latest version
of Vagrant, please upgrade before submitting an issue.
-->

#### Host operating system

<!--
Your local system.
-->

#### Guest operating system

<!--
The operating system of the virtual machine.
-->

#### Steps to reproduce

1.
2.
3.

#### Vagrantfile

```ruby
# Copy-paste your Vagrantfile here. Remove any sensitive information such as passwords, authentication tokens, or email addresses.
```

<!--
Always start with a minimal Vagrantfile and include only the relevant configuration
to reproduce the reported behavior.
-->

